# norootforbuild

Name:		flo
Version: 1.1
Release: 1.2
Summary:	Mind mapping application
License:	GPL
Vendor:		Ian Reinhart Geiser <geisery@yahoo.com>
Source:		%{name}-%{version}.tar.bz2
Patch:		flo.diff
Group:		Productivity/Office/Organizers
BuildRequires:	gcc-c++ pkgconfig pkgconfig(hunspell) pkgconfig(QtGui)
%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Prefix:		/usr

%description
Flo is a multi-platform mind mapping program. I have been interested in mind mapping for some years and have written an application that can help express mindmaps and translate them into various document formats. Mind mapping for those of you who don't know about it is a way of brainstorming. One of the main ideas of Flo is to take these brainstorms and create outlines and various documents. Mind maps can be used for everything from project planning to designing software test cases. Pretty much anything that can be expressed in an outline can translate into a mind map quite painlessly. The main advantage of a mind map is that it is easier to reorder and reorganize ideas in a visual fashion before applying them to something more rigid like an outline.

%prep
%setup -q
%patch -p 0

%build
%define qtbindir `pkg-config --variable=exec_prefix QtCore`/bin
%{qtbindir}/qmake
make

%install
%{__rm} -rf %{buildroot}
%{makeinstall} INSTALL_ROOT=%{buildroot}
#%__install -D -m0755 bin/%{name} %{buildroot}%{_bindir}/%{name}
%if 0%{?suse_version}
%suse_update_desktop_file -r -G "Mind Map Tool" %{name} Office ProjectManagement
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.xpm

%changelog
* Fri Mar 08 2013 Shawn W Dunn <sfalken@fuduntu.org> - 1.1-1.2
- Built for Fuduntu

* Mon Feb 25 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 1.1-1.2
- Built for Fuduntu

* Sat Feb 05 2011 Petr Vanek <petr@scribus.info> 0.3.1
- suse fixes

* Thu Oct 01 2009 TI_Eugene <ti.eugene@gmail.com> 0.3.1
- initial package in OBS
